#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#pragma warning(disable : 4996)

int main() {
	char *p = (char *)malloc(sizeof(char) * 6);
	strcpy(p, "abcde");
	while(*p != 0){
		printf("%c\n", *p);
		p++;
	}
	printf("%s\n", p);
	free(p);
	return 0;
}
		